Skip to main content

Create Lease File: Propertyware REST

POSThttps://api.propexo.com/v1/leases/propertyware_rest/:lease_id/file-upload/

Attach a file to a lease.

MethodInterface
POST /v1/docsDocuments
PUT /v1/docsDocuments
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    attachment objectrequired

    The file to attach to the lease

    file_datastringrequired

    Possible values: <= 66500000 characters

    file_namestringrequired

    The name of the file. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

    Possible values: Value must match regular expression ^[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}\/[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}$

    descriptionstring

    A description of the file being uploaded

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    attachment objectrequired
    file_datastring | nullnullable

    Possible values: <= 66500000 characters

    file_namestringrequired

    The name of the file. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

    Possible values: Value must match regular expression ^[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}\/[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}$

    descriptionstring

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/propertyware_rest/:lease_id/file-upload/
curl -X POST https://api.propexo.com/v1/leases/propertyware_rest/:lease_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"description": "string"
}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"description": "string"
}
}
}